#
# spec file for package chmsee
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           chmsee
%if %suse_version > 1130
%define xulrunner_version 20
%define xulrunner_version2 2.0
%else
%if %suse_version > 1120
%define xulrunner_version 192
%define xulrunner_version2 1.9.2
%else
%if %suse_version > 1110
%define xulrunner_version 191
%define xulrunner_version2 1.9.1
%else
%define xulrunner_version 190
%define xulrunner_version2 1.9.0
%endif
%endif
%endif
Summary:        A Gtk+2 CHM document viewer
License:        GPL-2.0+
Group:          Productivity/Graphics/Viewers
Version:        1.3.1.1
Release:        8.1
Url:            http://code.google.com/p/chmsee/
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-1.3.1.1-fix-toolbar.patch
BuildRequires:  chmlib-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libgcrypt-devel
BuildRequires:  libglade2-devel
BuildRequires:  mozilla-xulrunner%{xulrunner_version}-devel
BuildRequires:  shared-mime-info
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       mozilla-xulrunner%{xulrunner_version}
Recommends:     %{name}-lang

%description
It uses chmlib to extract files. It uses gecko to display pages. It
supports displaying multilingual pages due to gecko. It features
bookmarks and tabs. The tabs could be used to jump inside the chm file
conveniently. Its UI is clean and handy, also is well localized. It is
actively developed and maintained. The author of chmsee is Jungle Ji
and several other great people.

%lang_package
%prep
%setup -q
%patch0

%build
#rename no nb po/no.*
#sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && \
#        mv configure.in.tmp configure.in
#autoreconf --force --installa
CFLAGS="$RPM_OPT_FLAGS -Wall" \
cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix} -DCMAKE_SKIP_RPATH:BOOL=yes
make VERBOSE=1

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT VERBOSE=1
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
DESTDIR=$RPM_BUILD_ROOT mime-info-to-mime
%find_lang %{name} %{?no_lang_C}
%if %suse_version <= 1100
# since xulrunner .pc files don't contain RPATH
install -p -m 755 -D $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_libdir}/%{name}/%{name}
cat > $RPM_BUILD_ROOT%{prefix}/bin/%{name} <<EOF
#!/bin/sh
LD_LIBRARY_PATH=%{_libdir}/xulrunner-%{xulrunner_version2} exec %{prefix}/%_lib/%{name}/%{name} "\$@"
EOF
%endif
%suse_update_desktop_file -r -N Chmsee -G "Compressed HTML Viewer" chmsee GNOME GTK Graphics Office Viewer

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%if 0%{?suse_version} > 1130
%desktop_database_post
%icon_theme_cache_post
%mime_database_post
%else
usr/bin/update-mime-database /usr/share/mime >/dev/null || true
%endif

%postun
/sbin/ldconfig
%if 0%{?suse_version} > 1130
%desktop_database_postun
%icon_theme_cache_postun
%mime_database_postun
%else
usr/bin/update-mime-database /usr/share/mime >/dev/null || true
%endif

%files
%defattr(-, root, root)
%doc README COPYING AUTHORS ChangeLog NEWS
%{_bindir}/chmsee
%if %suse_version <= 1100
%{_libdir}/chmsee
%endif
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/mimetypes/chm.*
%{_datadir}/chmsee/
%{_datadir}/mime/packages/chmsee.xml
%dir %{_datadir}/mime-info
%{_datadir}/mime-info/chmsee.mime
%{_datadir}/mime-info/chmsee.keys
%{_datadir}/pixmaps/chmsee-icon.png

%files lang -f %{name}.lang

%changelog
* Thu Apr  5 2012 kkirill@opensuse.org
- Fixed bnc#706314 by upgrading to 1.3.1.1
- Added chmsee-1.3.1.1-fix-toolbar.patch to fix visual glitches
  with menu and toolbar
* Wed May  4 2011 dimstar@opensuse.org
- Update to version 1.3.1.1:
  + Fix a bug cause of opening an unextracted chm with subpage
    failure
  + Change Gecko version to support xulrunner 2.0.1
  + Updated translations.
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
  + %%mime_database_post/postun because the package ships a mime
    type definition.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Split translations in lang subpackage.
- Remove shared-mime-info PreReq: if it's not there, then we simply
  don't need to update the mime database.
* Mon Jan 17 2011 dimstar@opensuse.org
- Update to version 1.3.0:
  + Use XDG Base Directory Specification for config and bookshelf
    cache
  + Startup splash screen removed
  + Add global font setting
  + Fix a bug which get homepage from #STRINGS
  + Change Prev&Next page hotkey from Alt to Control
  + Fix filter bug in cs_tree_view
  + Remove extracting progressbar.
* Thu Dec  9 2010 vuntz@opensuse.org
- Build against mozilla-xulrunner20-devel on 11.4 and later.
* Mon Aug  9 2010 vuntz@opensuse.org
- Update to version 1.2.0:
  + Add previous and next page function
  + Improve language charset setting
  + Open specified page in file.chm::page.html format
  + Display progress bar during file extraction
  + Fix hhk keyword parse problem
  + Fix filename case insensitive checking bug
  + Need gtk+ >= 2.20 for gecko multi-threads compatible
* Fri Jul 16 2010 wr@rosenauer.org
- Build against mozilla-xulrunner192 where available
- Removed build option to use xulrunner 1.8.1 as it is
  not supported anyway
* Wed Apr 28 2010 dimstar@opensuse.org
- Update to version 1.1.0:
  + Only support Gecko > 1.9 (Firefox3)
  + Need gtk+ >= 2.16 (for using gtkbuilder and g_uri functions)
  + Add index page filter string
  + Add page find function
  + Add Recent Files feature
  + Add loading last file at starup option
* Fri Nov 27 2009 dimstar@opensuse.org
- Update to version 1.0.7:
  + honor GTK toolbar settings
  + support xulrunner 1.9.1
  + fix compile error
  + support xulrunner 1.8 again
  + Updated translations.
- Drop chmsee-xul191.patch, included upstream.
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Thu Sep  3 2009 dimstar@opensuse.org
- Add chmsee-xul191.patch and build against xulrunner 1.9.1 on
  openSUSE >= 11.2. Patch taken from upstream commits
  320f40 and 8b752f
- Remove chmsee-missing-nspr.patch, as it conflicts with
  chmsee-xul191.patch. It's changeset is merged into the xul patch.
* Fri Aug 21 2009 beineri@opensuse.org
- Add an already translated GenericName to .desktop file.
* Thu Aug  6 2009 dominique-obs@leuenberger.net
- Update to version 1.0.6:
  + Add index tab in left-pane (if chm file has index)
  + don't alert when open a chm file and the homepage is invalid.
  + init libgcrypt, thanks patch from lubekgc.
  + close file in fullscreen mode cause chmsee no longer works.
  + more keyboard shortcur under fullscreen mode.
  + fix segmentation fault when closing.
  + keep html page position when switch between fullscreen and
    normal mode.
  + when chm file has no title, show the filename in the title.
  + resolve conflict with xulrunner 1.9.
  + From earlier versions:
  * switch build system from autotools to cmake.
  * Fullscreen mode support.
  * save sidebar width.
  * Double-click on topic title to open its sub-topics.
  * A safer hcc parser
  * support Drag & Drop
  * remove cs2w
  * different case in URI and filename
  * image with broken URL can't correct display.
  + Updated translations.
- Remote AutoReqProv: on. It's default now.
- Add chmsee-missing-nspr.patch to fix linking.
- Build against XULRunner 1.9.0. Upstream discourages the use of
  XULRunner 1.9.1 for the moment.
- spec file cleanup, remove references to very old SUSE Releases.
* Tue Jul 21 2009 wr@opensuse.org
- build against XULRunner 1.9.1 after 11.1
* Tue Mar 10 2009 pwu@suse.de
- update version to 1.0.3.
  • Add "Copy Page Location" to the context menu.
  • Add Hebrew translation, thanks to Yaron.
  • Add Swahili translation, thanks to Emanuel Feruzi.
  • Add Bengali translation, thanks to faisal.
  And remove the launch script for openSUSE11.1.
* Mon Sep  1 2008 pwu@suse.de
- update version to 1.0.1. and switch to xulrunner-190.
* Thu Nov  8 2007 pwu@suse.de
- update version from 1.0.0-beta2 to 1.0.0
* Fri Aug 10 2007 pwu@suse.de
- move chmsee from /opt/gnome to /usr
* Wed Aug  1 2007 pwu@suse.de
- new package chmsee,version 1.0.0beta2.
